%define pcfdir %_x11libdir/X11/fonts/tamil-bitmap

Name: tamil-fonts-bitmap
Version: 1.0
Release: alt1

Summary: Tamil bitmap fonts
Summary (ru_RU.UTF-8): Тамильские растровые шрифты 
License: Free
Group: System/Fonts/X11 bitmap
Url: http://groups.yahoo.com/group/tamilinix/files
Source: tscii-bitmap.tar.bz2
BuildArch: noarch
PreReq: chkfontpath perl-base

%description
This Package provides free Tamil bitmap fonts.

%description -l ru_RU.UTF-8
В этом пакете находятся тамильские растровые шрифты.

%prep
%setup -q -n tscii-bitmap

%build
for i in $( ls *.bdf ); do
    bdftopcf "$i" | gzip > "$(echo $i | sed -e "s/.bdf//")".pcf.gz
done

%install
mkdir -p $RPM_BUILD_ROOT%pcfdir
install -p -m644 *.pcf.gz $RPM_BUILD_ROOT%pcfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%pcfdir/fonts.dir

%post
%_bindir/fc-cache %pcfdir
/usr/sbin/chkfontpath -q --add %pcfdir

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %pcfdir
fi

%files
%pcfdir
%doc README

%changelog
* Thu Nov 28 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
